const express = require('express');
const router = express.Router();
const institutionController = require('../controllers/institutionController');
const authMiddleware = require('../middleware/authMiddleware');

router.get('/', institutionController.getAllInstitutions);
router.get('/:id', institutionController.getInstitutionById); // Neuer Endpunkt
router.post('/', authMiddleware, institutionController.createInstitution);
router.put('/:id', authMiddleware, institutionController.updateInstitution);
router.delete('/:id', authMiddleware, institutionController.deleteInstitution);

module.exports = router;
